backupApp.directive('infoCard', function() {
    return {
        restrict: 'E',
        scope: {
            cardIcon: '=',
            iconSize: '=',
            bgColor: '=',
            txColor: '=',
            contentCls: '='
        },
        transclude: true,
        templateUrl: 'templates/components/cards/info-card.html?v=1.1.2.2',
        link: function(scope, element, attrs) {
            scope.cardIcon = scope.cardIcon || 'ic-info';
            scope.iconSize = scope.iconSize || 30;
            scope.bgColor = scope.bgColor || 'bg-info';
            scope.txColor = scope.txColor || 'tx-primary-5';
            scope.contentCls = scope.contentCls || '';
        },
        controller: function($scope) {
            const scope = $scope;
        }
    }
});